Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin pyarrow<0.16.0 #1717

Merged
merged 1 commit into from Feb 10, 2020
Merged

Pin pyarrow<0.16.0 #1717

merged 1 commit into from Feb 10, 2020

Conversation

@tgaddair
Copy link
Collaborator

tgaddair commented Feb 9, 2020

The 0.16 release of PyArrow requires numpy > 0.15, but older versions of MXNet are incompatible with more recent versions of numpy. As such, we need to test against an older version of PyArrow.

In a followup PR, we will have per-test versions of PyArrow so we can test old MXNet + old PyArrow as well as new MXNet + new PyArrow.

Signed-off-by: Travis Addair taddair@uber.com

Signed-off-by: Travis Addair <taddair@uber.com>
@tgaddair tgaddair requested review from abditag2, apeforest and romerojosh Feb 9, 2020
@tgaddair tgaddair merged commit b7c74bb into master Feb 10, 2020
7 checks passed
7 checks passed
build
Details
build
Details
DCO DCO
Details
License Compliance All checks passed.
Details
Security Analysis All checks passed.
Details
buildkite/horovod Build #2040 passed (30 minutes, 12 seconds)
Details
ppc64le-checks ppc64le Build/Tests Passed
Details
@tgaddair tgaddair deleted the pin-pyarrow branch Feb 10, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants
You can’t perform that action at this time.